Page MenuHomePhabricator

php-memcached 3.0 (PHP 7) incompatible with BagOStuff
Closed, ResolvedPublic

Description

@aaron noticed that the php-memcached extension has various breaking changes in the release for PHP 7.

php5-memcached (2.2.0-2)

php-memcached (3.0.1

API:

  • The method signature of get, getByKey, getMulti, and getMultiByKey changed.
  • get* and getMulti* commands no longer take cas or user flags parameters.
  • get* and getMulti* commands now take the Memcached::GET_EXTENDED flag to retrieve user flags and cas tokens.

Session handler

  • The default protocol was changed from text to binary protocol. If your memcached setup does not support the binary protocol (e.g. if using twemproxy), then set memcached.sess_binary_protocol = Off. (Previously called memcached.sess_binary)

Event Timeline

Krinkle triaged this task as Normal priority.Jun 1 2018, 1:10 AM
Krinkle created this task.

Change 436683 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@master] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/436683

aaron claimed this task.Jun 4 2018, 7:57 PM
aaron moved this task from Inbox to Doing on the Performance-Team board.

Change 436683 merged by jenkins-bot:
[mediawiki/core@master] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/436683

Change 437617 had a related patch set uploaded (by Reedy; owner: Aaron Schulz):
[mediawiki/core@REL1_31] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437617

Change 437618 had a related patch set uploaded (by Reedy; owner: Aaron Schulz):
[mediawiki/core@REL1_30] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437618

Change 437619 had a related patch set uploaded (by Reedy; owner: Aaron Schulz):
[mediawiki/core@REL1_29] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437619

Change 437621 had a related patch set uploaded (by Reedy; owner: Aaron Schulz):
[mediawiki/core@REL1_27] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437621

Reedy moved this task from Backlog to Core on the MW-1.31-release board.

Change 437621 merged by jenkins-bot:
[mediawiki/core@REL1_27] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437621

Change 437619 merged by jenkins-bot:
[mediawiki/core@REL1_29] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437619

Change 437618 merged by jenkins-bot:
[mediawiki/core@REL1_30] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437618

Change 437617 merged by jenkins-bot:
[mediawiki/core@REL1_31] objectcache: update MemcachedPeclBagOStuff for pecl memcached 3.0.0

https://gerrit.wikimedia.org/r/437617

Reedy closed this task as Resolved.Jun 6 2018, 6:19 PM
Reedy removed a project: Patch-For-Review.
Vvjjkkii renamed this task from php-memcached 3.0 (PHP 7) incompatible with BagOStuff to evbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed aaron as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Joe renamed this task from evbaaaaaaa to php-memcached 3.0 (PHP 7) incompatible with BagOStuff.Jul 1 2018, 5:51 AM
Joe assigned this task to aaron.
Joe lowered the priority of this task from High to Normal.
Joe updated the task description. (Show Details)
aaron closed this task as Resolved.Jul 2 2018, 11:10 AM